commit 24eb17df2e1245885e72c9d4bbb0a0f69f0700f2
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Feb 19 20:23:08 2014 +0900

    Release 0.4.1.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit d299dc68509fdecd02a5136bcf6285ae5b454e8f
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Feb 17 18:18:07 2014 +0900

    Follow changes in m4 submodule.

commit dbc3e15004598dc94f26b7221ef5a61f4d3b2f61
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 6 16:55:53 2014 -0500

    make: compile the library with standard xorg warning flags
    
    The new BASE_CFLAGS variable contains only warning flags that do not
    alter the generated byte code, unlike the deprecated CWARNFLAGS which
    turns off the GNUCC strict aliasing optimization.
    
    Also, update m4 submodule as util-macros version 1.16 or later is required.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 18b823af6ab13aa0db0c814a07b43548aa953a68
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Feb 8 10:59:10 2014 -0500

    make: implement the silent rules for m4 generated files.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3546b8114e87c17d19df3dd7aa50c5efd6ca6083
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 6 16:55:48 2014 -0500

    Remove documentation dead code
    
    There is no evidence this file has ever been used.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 2e4e3cc896361202e7b310e9df048f44723094a4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 6 16:55:52 2014 -0500

    make: using EXTRA_DIST for xcb-*.pc.in is redundant
    
    All files mentionned in AC_CONFIG_FILES have their source files
    distributed automatically.
    
    http://www.gnu.org/software/automake/manual/automake.html
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 2ff4244bcc5232b02978dc65a0ea359b96ed8423
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 6 16:55:51 2014 -0500

    make: there should be no attempt to remove any Makefile.in file
    
    Files generated by autoconf (and the various tools it calls) must not be
    removed by running a makefile. This is outside the scope of the makefile.
    
    http://lists.gnu.org/archive/html/autoconf/2007-03/msg00043.html
    
    One can use git-clean to return to the original state of the module prior
    to running autogen.sh, autoreconf or configure.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 1bdd2c56ebc9442ab2159f82d399848e7d97ccb9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 6 16:55:50 2014 -0500

    make: use AM_CPPFLAGS rather than per-target libxcb_*_la_CPPFLAGS
    
    There is only one target in this directory, so we do not need to trigger
    the per-target infrastructure which would require AC_PROG_CC_C_O macro.
    So libxcb_ewmh_la-ewmh.o simply becomes ewmh.o.
    
    http://www.gnu.org/software/automake/manual/automake.html#Renamed-Objects
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit ba897f290b0a71e7ffb8047bbd241da71ca47003
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 6 16:55:49 2014 -0500

    make: remove unused XPROTO_CFLAGS and XPROTO_LIBS
    
    These should have been removed with the patch:
    "Split up icccm and ewmh into their own repository"
    back in 2011.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit efd712f4e5c4da9c575e249e4e747b269fb458ae
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Jan 31 15:10:15 2014 +0900

    Do not distribute ewmh C source file as they are generated with M4.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e36487b50714f492e0797b4e9d84fbd18664df14
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Feb 1 11:55:13 2014 -0500

    config: update the README file for bug tracking
    
    Update bug tracker info following libxcb format.
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1151e11053bb619a58d01ff6f0762aa5fee34d89
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Feb 1 11:41:15 2014 -0500

    config: add missing COPYING file
    
    This file is mandatory. It reflects the copyright statements found
    in the source code as written by their respective owners.
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f401c736a61a59ae2530bd7cd2a9a0afe29f43c3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Feb 1 11:29:33 2014 -0500

    config: add bug URL to AC_INIT
    
    Use same layout as libxcb.
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5d7f2805d83944ed8da6fcc5b8506531262b9da9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 31 22:36:29 2014 -0500

    config: drop the check for sys/types.h
    
    All the X supported systems do have this header file.
    None of the xorg modules have this check, so it is safe to remove.
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9c45c1919b68330bab44b4c1a0984f644bd66110
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 31 22:29:08 2014 -0500

    config: use AC_CONFIG_HEADERS to create a config.h file
    
    This file contains C preprocessor #define statements which replace
    the current -Ds added to each compilation invocation.
    
    This makes the gcc output command easier to read and prevents exceeding
    the max line limits on some computers. This is the preferred method
    in al the xorg modules.
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 01b94c100022ce8dd3a44e319c42c57c6e2a5849
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 31 19:31:24 2014 -0500

    config: remove AC_TYPE_SSIZE_T
    
    This is not needed as we have standard headers and C99.
    This result in no change to the defines used at compile time.
    
    http://www.gnu.org/software/autoconf/manual/autoconf.html
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 879a1aa3ef8aca4d737aacba35bf0850e46c9a02
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 31 19:09:07 2014 -0500

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Changed layout to one file per file like other xorg modules.
    
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 08666113d3341b9817c8821854d1297acfd5f58f
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jan 29 17:33:56 2014 +0900

    xcb-proto should have never been required as xcb provides the Atoms.
    
    Reported on Debian BTS:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=722632
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 1ad70737e5076baf1f99cb6463e10a362f78ceee
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jan 29 15:45:03 2014 +0900

    Release 0.4.0.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit c3d61ece8098ec3f1b3f5c3f8c5c95f2a5c3c0f7
Author: Niclas Zeising <zeising@daemonic.se>
Date:   Mon Aug 12 13:53:10 2013 +0200

    Check submodules before running autoconf.
    
    Exit early with an informative message if the submodules are missing,
    since they are needed.  Without this autoconf throws a bunch of
    uninformative errors which does not point to the actual problem.
    This was taken from util-keysyms.
    
    Signed-off-by: Niclas Zeising <zeising@daemonic.se>
    Reviewed-By: Arnaud Fontaine <arnau@debian.org>

commit c33a20fa5876e96c5ec6ec882b681379f145a66e
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Jul 16 17:48:32 2013 +0900

    Even though EWMH spec does not mandate window to be set, some WM expect it to be set.
    
    For example, Awesome 3.4 with Zaphod mode checks this attribute to match it to
    the relevant root window.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit b488f4142298640f3237914a489c8eb6107922fd
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu May 31 11:22:27 2012 +0900

    Release 0.3.9
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 0f4ab3bc122cadf4b07c93d00bdaea1fd322ef27
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu May 31 11:21:48 2012 +0900

    Bump SONAME version following 23a4eb6.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 30d73e882ddd9a42148d76fbf3082fa019f6e6c3
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed May 30 14:33:16 2012 +0900

    Fix GCC warning on ewmh_atom_t type.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 20d6aec4bd276110e929da756adee9942cbee347
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon May 21 11:02:30 2012 +0900

    Add autogen.sh to EXTRA_DIST.

commit 23a4eb6059e0a694e342c3ff41ab076dad50b745
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Aug 11 21:10:58 2011 +0900

    Fix incomplete implementation of _NET_SUPPORTING_WM_CHECK.
    
    EWMH specification states that _NET_SUPPORTING_WM_CHECK must also be set on the
    child window, not only on the root window.

commit e08332c4a61f9825fc8893025ffa8f89d67a8900
Author: Andreas Pokorny <Andreas.Pokorny@gmail.com>
Date:   Sat Jun 25 16:00:29 2011 +0200

    Replacing c++ class keyword in interface header
    
    class is a c++ keyword and cannot be used for parameter names.
    
    Signed-off-by: Andreas Pokorny <Andreas.Pokorny@gmail.com>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 7e331a600ca3016d1e8fa9a7a29038377cbe86af
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Jun 30 10:09:34 2011 +0200

    Remove the Doxyfile which is unused, out dated and wrong.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 1755462d974163f5d95f5d22f5af23be17cc910f
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Apr 26 01:23:28 2011 +0900

    Release 0.3.8
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 51e42f33ba6c7a0525811ad7f8e67e2b69014275
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Apr 26 01:11:33 2011 +0900

    Fix package name
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit ef999a7ba55f1298c8701afa0a5bb56804e7a645
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Apr 23 13:55:37 2011 +0900

    Untabify for consistency.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 14d15ad5f895a09d846bc7c1ffe8bf67c7948da0
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Apr 23 13:40:24 2011 +0900

    Fix setters for _NET_WM_ICON to allow more than one icon.
    
    Only one icon could be given at a time, thus add append setters to
    only set one icon at a time in a convenient way and make the general
    setters more generic.
    
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 6c99de50a858bd82bc1562c74c728f03c49d399f
Author: Dirk Wallenstein <halsmit@t-online.de>
Date:   Tue Apr 5 09:58:28 2011 +0200

    Use an absolute URL for the m4 submodule
    
    A relative submodule URL requires m4 duplicates relative to every fork or local
    mirror of this module.  To select a different protocol with an absolute
    submodule URL, the url.<base>.insteadOf configuration option can be used.
    
    Signed-off-by: Dirk Wallenstein <halsmit@t-online.de>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 2682657b83f78de7e9b028ef3c1b08f381fee0d9
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Mar 26 17:04:07 2011 +0900

    Fix unintialized variable for the number of icons

commit f5a0b136bc3aa8c12eea9dd149f43e8eab77a9f4
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Mar 22 15:34:50 2011 +0000

    Link with -no-undefined
    
    Use -no-undefined to assure libtool that the library has no unresolved
    symbols at link time, so that libtool will build a shared library for
    platforms require that all symbols are resolved when the library is linked.
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Acked-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit fa4118c9335a7ab4ad9dd9d0917ae02d97106e56
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 11 11:24:27 2011 +0100

    Return more icons from _NET_WM_ICON
    
    EWMH says that _NET_WM_ICON is an array of icon. That means that it can contain
    more than one icon. This way, apps can provide icons of different sizes. Common
    sizes seem to be 16x16, 32x32 and 48x48.
    
    This commit makes it possible to access all the icons in _NET_WM_ICON via
    iterators instead of just the first one.
    
    Thanks to Arnaud Fontaine for his help with the API.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit c8a36b8591fe50b5fcea31d6bd5d469f8ac1c125
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 11 13:21:46 2011 +0100

    xcb_ewmh_get_wm_icon_reply: Fix crash on error
    
    When the GetProperty request fails due to an error,
    xcb_ewmh_get_wm_icon_from_reply will be called with a NULL pointer for the
    reply. This function would then call xcb_get_property_value_length on this NULL
    pointer which caused a crash.
    
    Fix this by moving the NULL-pointer check before the call to value_length().
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 4e5a8e47389ac54b1bae9e694d5a812388a0a380
Author: Uli Schlachter <psychon@znc.in>
Date:   Fri Mar 11 11:35:07 2011 +0100

    _NET_WM_ICON: Fix the length check
    
    expected_len is the expected length in number-of-pixels, but r_value_len is the
    number of bytes in the reply. Since a pixel consists of 4 bytes, we have to
    divide the number of bytes by 4 to get the number of pixels.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Arnaud Fontaine <arnau@debian.org>

commit 91988b08395dad5a221204e83324cb72d898334d
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Mar 7 23:20:03 2011 +0900

    Check more carefully the reply of a _NET_WM_ICON which may contains
    several icons

commit 368165f1f99c15f22dbe02e7373f7d6d20c0277e
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Mar 7 22:40:17 2011 +0900

    Add ewmh/ewmh.c and ewmh/xcb_ewmh.h to .gitignore as they are generated with m4

commit afb90c6d28b2af084c0386cfb60e2e5af5805efa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 6 17:52:44 2011 -0500

    config: generate ChangeLog and INSTALL
    
    By copying a snippet of Makefile for xorg modules.
    One side-effect is that Makefile.in is no longer
    deleted on maintainer clean. This should never be done as
    it leaves your configuration in a half-broken state.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 821b787b8ca0368deecc704a65314c177d398589
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Mar 6 17:52:43 2011 -0500

    config: use the default xorg .gitignore file
    
    This will save future maintenance when module structure/tools change.
    This patch depends on the util-common-m4 submodule patch in the m4 path
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Arnaud Fontaine <arnau@debian.org>

commit 9f5e67e4dbfab3aed7360fa6fde50a7f95e088a7
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Sep 4 16:19:54 2010 +0100

    Bump version to 0.3.8

commit 0e787990318f3fcaa5f04ed5e22a448734d1ccae
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Sep 4 16:09:56 2010 +0100

    Prefix all ICCCM public functions, types and macros by 'icccm'.
    
    By convention, all public functions, types and macros of other
    xcb/util libraries are prefixed by their name, and so should icccm.
    
    The library SONAME has been bumped since this commit completely breaks
    the interface.

commit 039ba91e59f600c36239c68094105ff18c776ac2
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Sep 4 13:14:26 2010 +0100

    Split up icccm and ewmh into their own repository

commit 4f29f495653d85ff3c7b0b398252c98743c11433
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Feb 11 14:16:54 2010 +0000

    Rename time function parameter to xtime in to avoid clash with time.h

commit f9e85f6b3f306f28e3ee6f590e503d75fc73f4ff
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Feb 11 14:11:43 2010 +0000

    Add missing inclusion of stdlib.h in EWMH header

commit 34f8bc49bb437a74a0e5f1e32efcf4c26b90bfed
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 22 17:27:40 2009 +0100

    xcb_ewmh_get_wm_name_reply should have always been static

commit 4a09933a37bc7460858ef949da8b20a1b0ef79f6
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Dec 16 19:55:24 2009 +0100

    xcb_ewmh_init_atoms: don't use VLA for wm_cm_sn declaration

commit 75b2d987ecd43940031c031252c3ac0e3cea15a1
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Dec 16 19:55:01 2009 +0100

    xcb_ewmh_init_atoms: use xcb_setup_roots_length()

commit d590e26e6f9ed6f8b5456b99c2c52322d87c46de
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Dec 16 00:55:20 2009 +0100

    xcb_ewmh_send_client_message: check whether the data fit the ClientMessage

commit ec400624bdfae62cf24c2263c02c4dba281c2d53
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 15 23:14:38 2009 +0100

    A given connection may have several screens associated

commit 53862f31246f7812cf1dd7e07dcada8c34f829e1
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 15 10:31:45 2009 +0100

    Remove useless const

commit 8add219807de5c54b805c9ebdd7ad56df78a5969
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 15 09:33:27 2009 +0100

    Fix typos on _NET_WM_SYNC_REQUEST_COUNTER functions and add it in the Atoms list

commit b636664a4d76f7a64b5ea29966e9b1d65fcdf7fa
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 15 00:29:45 2009 +0100

    Make code generated by m4 more readable

commit efdd87e4be6a72fa4c25f71078f773c65c12b659
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 15 00:27:50 2009 +0100

    Replace all the ugly if statements with a loop

commit ec283ed176d57082028388e0cb1f9fb433836182
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Dec 14 21:19:49 2009 +0100

    Fix compiler warning by casting the value to uint64_t before the shift

commit f5184e10a70fe3a38f240f2ff281c58ab70eb715
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Dec 14 21:14:10 2009 +0100

    xcb_ewmh_send_client_message: use memcpy() instead of a loop and make data_len the length in bytes

commit 7447b10ec4064020755b2196dd33ac5a4dbcf037
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Dec 13 18:59:32 2009 +0100

    Fix indentation and change email address

commit c541a7f7e6c8e2b25589921f91ef46a57ceab8c4
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Dec 13 18:49:40 2009 +0100

    Atoms previously defined in xcb_atom are now defined in xproto

commit c40ea4a4f7905681297965042f31bf9ceffd4fb3
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 17:37:08 2009 +0100

    Fix indentation and untabify

commit e4de47c1b53e727474d0e6d63db32ddb9f97e67b
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 17:34:44 2009 +0100

    Use sizeof() instead of plain integer

commit 31550a9c294d20a4bce37017429dd62041e97be3
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 17:29:42 2009 +0100

    Use countof when possible and fix WM_SYNC_REQUEST_COUNTER

commit 0ead7ecc1bac1c72dbde827c47989c1a1cd408cb
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 17:09:31 2009 +0100

    Add missing _NET_WM_HANDLED_ICONS

commit 6d0804c3abf3f4ae5c4ebe9f3a5884f3a4234497
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 17:03:07 2009 +0100

    Use countof when possible

commit 9ef2902ca3dd745e92336d5721442d015bb1ba22
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 17:00:07 2009 +0100

    Fix _NET_WM_STRUT and _NET_WM_STRUT_PARTIAL

commit 84a852f09bc75027175aa60d6d26bb0c0a6773c7
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 16:39:35 2009 +0100

    Use countof when possible

commit 7b3479b2cb925082ecbb4abdaee4c783deb4d818
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Dec 12 15:15:17 2009 +0100

    Remove UTF8 reply macro in favor of inline functions

commit be4222e977564fc3c06ae5d17dbb4ed4597604a3
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Dec 7 00:44:29 2009 +0100

    Cosmetic

commit bfb65888b5054652704ff02f0aa8f04cfe2403a4
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Dec 7 00:26:39 2009 +0100

    Cosmetic

commit f053dd0c4fb0260196a334749c716801197f57ba
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Dec 6 18:58:26 2009 +0100

    Use countof() instead of the length value directly

commit cd3da8f36121815ae3e5cbdc62770ff6f9ae67f4
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Dec 2 22:25:59 2009 +0100

    Remove a macro in favor of inline functions

commit 50b0bee9e0cbd8cc8c65fa9a022cb89fd8a557ff
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 1 23:10:03 2009 +0100

    Get rid of unreadable shift in DO_REPLY_LIST_VALUES_ATOM

commit 42e359f441aad6f31ceebb2e161712aff0669dc6
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Dec 1 08:18:27 2009 +0100

    Cosmetic

commit 173cceee184db4af5e3465c2afd40a5219283074
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Nov 27 20:51:21 2009 +0100

    Fix ClientMessage invalid data

commit 166adcd3e5ee593e5ad387222383ff535f1227b9
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Nov 27 20:49:07 2009 +0100

    Cosmetic

commit f4a9e9f67cce03cf4fd24fd9b5c7d19c0f071b44
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Nov 26 00:39:15 2009 +0100

    Clean up and add missing protypes

commit f08506c9f36fba622ccc9a5d6c336ba708194c3d
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Nov 22 16:57:28 2009 +0100

    Clean up

commit 83caa0f3b986aa28270dbca37ff2e1e242c5cd16
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Sep 25 12:19:50 2009 +0100

    Add missing return values

commit 5b9985777747ed5a5390173563d04f4fb26e00f6
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Sep 17 12:48:48 2009 +0100

    Allow per-connection EWMH information

commit 7343b7d906ecc86da000a48edb1facd145d66641
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Sep 17 12:45:43 2009 +0100

    Add xcb-util/ewmh library

commit c0f6f9a18421f98defb6c1668f65afab894b00b2
Author: Peter Harris <pharris@opentext.com>
Date:   Tue Aug 3 07:48:32 2010 -0400

    Ensure get_wm_class_from_reply returns a valid C-string
    
    Fixes bugzilla #29373
    https://bugs.freedesktop.org/show_bug.cgi?id=29373
    
    Tested-by: Uli Schlachter <psychon@znc.in>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit a371b9db6dff938aa8b9bf0606763bb8f4170717
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Jun 24 10:48:35 2010 -0700

    Delete callback-based APIs for events, properties, and replies.
    
    They are poorly designed and not terribly useful. I wrote the original
    versions of these libraries for demonstration purposes and would like to
    actively discourage anyone from actually using them.
    
    After deleting the callback-based APIs, there was nothing interesting
    left in property or reply, so those libraries are deleted outright. The
    event library is no longer particularly related to event handling, but
    that's a problem for another commit.
    
    The icccm library had some simple hooks for integrating with the
    property library, which are precisely as useful as the property library
    itself, so I deleted them too. (Arnaud suggested this in
    <sa5ocib84hf.fsf@Orfeo.duckcorp.org>.)
    
    Since the icccm and event libraries have changed interfaces, this commit
    bumps their SONAME versions.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>
    Reviewed-by: Mikhail Gusarov <dottedmag@dottedmag.net>
    Reviewed-by: Josh Triplett <josh@joshtriplett.org>
    Acked-by: Julien Cristau <jcristau@debian.org>

commit c688ab4516b3f93a67acf64828d8c22391aae83b
Author: Jamey Sharp <jamey@minilop.net>
Date:   Thu Jun 24 12:18:11 2010 -0700

    icccm does not depend on xcb-proto, only generated headers in xcb.
    
    And xcb.h includes xproto.h, so icccm.c needn't include anything extra.
    
    The configure script does still need to check which version of xcb-proto
    libxcb was built with to ensure that the predefined atoms are available
    at xcb-icccm build time.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 942d762ef22e696d3028e6b3ab1a6a9dd80d041f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 13 11:54:32 2010 -0700

    Close leak in xcb_get_text_property_reply when reply->type == XCB_NONE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9693d39762201abb68140b47dcd01361e60c25f4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 14 13:49:08 2010 -0700

    Fix typos in various header comments
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit 857235f56b92318716823fbaff960df6b31f1b46
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Mar 23 14:52:31 2010 +0000

    icccm: fix inconsistency in prototypes of WM_PROTOCOLS setters

commit ad5cac400103bbdba004a9d8bd0b0b5191ea3dce
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Tue Mar 23 11:47:26 2010 +0000

    icccm: add WM_COLORMAP_WINDOWS

commit 896ab267bddae3efd888a1dcf6e49f037cd51651
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Mar 22 12:01:05 2010 +0000

    icccm: allow to set the encoding format for TEXT properties

commit 3eeeb19b0645f96f5837e39aba34086479f4fd9f
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Mar 22 11:38:32 2010 +0000

    icccm: add missing setters for WM_CLASS and WM_TRANSIENT_FOR properties

commit 3cb10879086019a623a2402172e54f99c1db10cb
Author: Arnaud Fontaine <Arnaud Fontaine arnau@debian.org>
Date:   Mon Mar 15 14:23:20 2010 +0100

    xcb_get_text_property_reply() reply type could be XCB_NONE if the property is not present

commit 65bef0123af50087690a84f30c4f79adf0b0f320
Author: Peter Harris <pharris@opentext.com>
Date:   Thu Mar 11 10:45:44 2010 -0500

    Validate size of wm_hints and wm_size_hints
    
    Without these checks, we can overflow the buffer or divide by zero.
    
    Signed-off-by: David Coppa <dcoppa@gmail.com>
    Signed-off-by: Peter Harris <pharris@opentext.com>

commit d4cf3a86e7d5cc3db64be472421462ca2ced270d
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Feb 11 14:45:11 2010 +0000

    Add AM_MAINTAINER_MODE for vendors

commit 07a6a434c36536bcd2ada020b8c32219b05b5ef1
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Dec 13 18:31:55 2009 +0100

    icccm: atoms previously defined in xcb_atom are now defined in xproto

commit 1d75926af332c4e827d6ac525cffcd5bd4c76a07
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Oct 20 15:59:41 2009 -0700

    Make xcb_icccm.h use the same type as icccm.c for gravity parameter
    
    Fixes compiler error when building with Sun compilers due to
    redefining argument types of xcb_size_hints_set_win_gravity
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 3e946721acbe513973c75df3ade2bd218da57952
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Tue Oct 20 18:17:46 2009 +0100

    Update autogen.sh to one that does builddir != srcdir

commit 3e9ffabdc9afaf1e2f9bab13a2a3f2c9deabd6e7
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Oct 20 18:10:12 2009 +0200

    icccm: fix reply->format check
    
    We need to check reply->format before using it, or we can end up
    dividing by 0.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 42b0b0b92fcefc7c308354f50b9a099724421525
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Sep 25 13:08:15 2009 +0100

    Bump version to 0.3.7

commit d2902e514e811924d97d82933c3ceac2e7bee978
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Fri Sep 25 12:41:29 2009 +0100

    Add missing return values

commit c836290146b0504826171b864f8f0239d1a71a8c
Author: Julien Danjou <julien@danjou.info>
Date:   Mon Aug 24 10:44:47 2009 +0200

    icccm: add xcb_get_wm_protocols_from_reply
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit fb0ebde911b93b3419850ee616fa64472fbf80e4
Author: Julien Danjou <julien@danjou.info>
Date:   Sat Aug 22 15:02:14 2009 +0200

    icccm: typo fix
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 8dfc0586e4be6a54de00668f63adc89f1ffd4ce1
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 3 17:18:41 2009 +0200

    Bump version to 0.3.6

commit de8c0b9fc88bc742a422ba0f66a0028cb2d9b2e7
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Jun 25 16:48:00 2009 +0200

    icccm: fix atoms_len with new libxcb
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 379ef7acf6e84acb8fad4365c876af5be536b3a9
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Jun 3 20:50:32 2009 +0900

    Check for ssize_t in configure for xcb-util-common.h

commit 24938b80bf80e02f73c93aef904a4fd370254ce6
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun May 10 15:04:53 2009 +0100

    icccm: use xcb_gravity_t when possible and cosmetic changes

commit 3a273e7fc48afe01876144a7f161c28ff045e937
Author: Mikhail Gusarov <dottedmag@dottedmag.net>
Date:   Sat May 30 17:10:35 2009 +0700

    Typo in configure.ac
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit b3293d0af7f14a1fa56f34b5b98eeffa7ac4d67b
Author: Julien Danjou <julien@danjou.info>
Date:   Fri May 29 08:34:20 2009 +0200

    Release xcb-util 0.3.5
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 4fce461b2e634cdb1d1acc6d1c3441720c63c33b
Author: Bob Ham <rah@bash.sh>
Date:   Mon May 25 12:22:13 2009 +0200

    Add a check on xproto version libxcb was compiled with
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit c4d8800f2c0b3a2957315ca7522796742f096103
Author: Julien Danjou <julien@danjou.info>
Date:   Sat May 9 18:03:28 2009 +0200

    icccm: fix compatibility with libxcb > 1.2
    
    The get property value proto changed so we do not have to worry about
    formats. Reflect that change.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 87d5c0936244a3a33c3bc2d33a4725f0a1d3231a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Apr 21 15:27:24 2009 -0700

    Make sure m4 supports -I flag, if not, try finding gnu m4
    
    Solaris m4 does not support -I flag, but gnu m4 is included in
    recent Solaris & OpenSolaris releases (and must already be installed
    on any machine that runs autoconf to generate configure scripts)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f81b25f647af7539f6559ffc257764302a7d9023
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Apr 15 15:21:21 2009 +0200

    bump version to 0.3.4
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 27666bc862037c1ad40b7ed2403efc08dc908fdc
Author: Julien Danjou <julien@danjou.info>
Date:   Sat Apr 4 13:38:12 2009 +0200

    icccm: add xcb_get_wm_class_from_reply()
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit d8c4cc904d03bf643891fd810c8b21059802f6fb
Author: Julien Danjou <julien@danjou.info>
Date:   Sat Jan 31 15:08:44 2009 +0100

    Release xcb-util 0.3.3

commit 7a4475f13f594de20eec0221ffefb3a93b00cf98
Author: Julien Danjou <julien@danjou.info>
Date:   Mon Dec 29 17:57:55 2008 +0100

    icccm: change class hint struct fields name
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 6bdd2628973a7371df21281964bc5c2d74823160
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Dec 16 14:14:50 2008 +0100

    Release xcb-util 0.3.2
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a589de89cdec1002016b06135fbb3e5e01a685c7
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Dec 9 13:45:03 2008 +0100

    icccm: fix gravity proto
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 66190dc8df9dc24998cec3d9e5c93c53ea7b01e2
Author: Peter Harris <peter.harris@hummingbird.com>
Date:   Thu Dec 4 09:43:41 2008 -0500

    Fix the type of 'input' in icccm/xcb_icccm.h/xcb_wm_hints_t
    
    This bug behaves even worse, affecting all fields subsequent to input, if
    someone insane compiles with -fpack-struct=1

commit cb0a3e7bb1d5480a46a6e58645b1225288753815
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Nov 21 10:49:09 2008 +0100

    build: add check for xproto >= 7.0.8
    
    This is needed to have _X_INLINE.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit cfc2f873e4c967116402e40f2e971d46e8de32f3
Author: Jonathan Landis <landijk-dev@yahoo.com>
Date:   Fri Nov 21 10:10:15 2008 +0100

    Fix copyright statement
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a228af898c6795e2dafa5c643c8d354181a1a373
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Nov 20 15:34:54 2008 +0100

    Release xcb-util 0.3.1

commit e7651a13ab8dff941792c550294261c072f0b41c
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Nov 7 11:02:08 2008 +0100

    configure: stop if m4 is not found
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a2ad3c92cbbd988031077124b26a3795f2ae253d
Author: Henning Sten <henning.sten@yahoo.com>
Date:   Sat Sep 20 14:40:35 2008 +0200

    add more verbose explanation of the purpose of "encoding" parameter in doxygen documentation tag
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit e6f70b2bd979424e45310aeaff69795994ea7d35
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Sep 19 08:24:22 2008 +0200

    icccm: fix normal hints flags computing
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 43d7b2f6650530645baf09b256f31ccb620181e8
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Sep 19 08:13:23 2008 +0200

    icccm: add some comment on text reply usage
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a93692598d890437602fea11ad031ad6edd0ed87
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 17:41:37 2008 +0200

    icccm: introduce xcb_get_wm_transient_for_from_reply
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 96fee9bbafcd662f5a0cec1a189d52ce3554e081
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 17:11:40 2008 +0200

    doc: enable doxygen doc in various submodule
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit a1c08fe40b0792495e570d3dc9bd32e28fa7f799
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 17:11:14 2008 +0200

    doc: add various authors, remove old todo item
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit f8e2f8a70f8ab2f98a3c5b1d0619ebc24049a37f
Author: Julien Danjou <julien@danjou.info>
Date:   Tue Sep 16 14:08:11 2008 +0200

    icccm: allow information retrieval from reply
    
    This is handy when it comes to use this function from xcb-property
    handlers, because the reply is furnished in the callback.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 3ca245dbb83d703a3a1e90aed04bf5f671cd27c3
Author: Julien Danjou <julien@danjou.info>
Date:   Mon Sep 15 17:38:07 2008 +0200

    icccm: free reply in wm hints retrieval
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit ba536e324c7e905f2f071e7bf8bb9da472181958
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Sep 8 17:46:42 2008 +0200

    [icccm] Bump library version number to 0.3.0.

commit 86c87a18768c4ba5a6f35efe1acfccc54ef0d65f
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Sep 8 17:46:23 2008 +0200

    [icccm] Comment and indent the code properly.

commit d6fa3dac01fd18535b2ec02afbcb518639d4ed74
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Sep 8 17:55:56 2008 +0200

    [icccm] Avoid InternAtom request.

commit 1fc9c87fa25bf6f2131f2b6df0f2c390d7b9dd2e
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 25 00:10:49 2008 +0200

    [icccm] Add functions to get WM_CLASS property.

commit 0bad1d4e749484bf01d2c19025b15d9b0cfff2ed
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 25 00:09:28 2008 +0200

    [icccm] Add copyright notices.

commit 02dbff3df69f9d3175036026c4fb8211cbb6fb88
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Aug 24 02:23:41 2008 +0200

    [icccm] Fix namespace according to XCB code in general.

commit 1ee450563cb29d8b427998e45074ea16219b3c26
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 25 00:08:32 2008 +0200

    [icccm] Make xcb_get_wm_protocols() asynchronous and document the
            code.

commit 17b943d08f15f24f34f07187a8075b2ee7f2aadc
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 25 00:07:12 2008 +0200

    [icccm] Make xcb_get_wm_hints() asynchronous, remove useless functions
            and document the code.

commit 01ea6eccc7b87ba5a2c6e9a17c12e70811b2177a
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 25 00:06:02 2008 +0200

    [icccm] Make xcb_get_wm_size_hints() and xcb_get_wm_normal_hints()
            asynchronous, remove useless functions and document the code.

commit 5ecfdcf8100be9df012a37e48dffc903d4fa6893
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Mon Aug 25 00:00:54 2008 +0200

    [icccm] Make xcb_get_wm_transient_for() asynchronous and document the code.

commit 6c95a791ff55cab2161470e97d25259c76bb1b66
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Aug 24 23:56:26 2008 +0200

    [icccm] Make xcb_get_text_property() and functions relying on it
            asynchronous, and also document the code.

commit ef942d61d255e918756ace3da58c04561cf48eb8
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Sep 11 19:06:57 2008 +0200

    [atom] Move '*discriminated_atom*' functions from icccm to atom

commit cf7caf34fd8a9a10eeae6d68423521a012c12de1
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sat Aug 9 14:12:26 2008 +0200

    [icccm] Make xcb_get_text_property() public as it might be useful for
            upper-level applications.

commit 5413dd7d26d42f4e9201a4d6a45a4d6e9637df0f
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 6 21:55:51 2008 +0200

    icccm: fix wrong variable initialization
    
    Thanks Ian Osgood for the hint.
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 04a2fbc9110688a108713e8ffad07eb9d8f0f80f
Author: Julien Danjou <julien@danjou.info>
Date:   Wed Aug 6 16:23:36 2008 +0200

    icccm: fix memory leak in xcb_get_wm_hints()
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 42bcea66924a01cdd608fc924785053c794b4374
Author: Julien Danjou <julien@danjou.info>
Date:   Fri Aug 1 11:43:26 2008 +0200

    prepare 0.2.1 release
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 2a36e3fa053ca19fe374ddd7ad31cd1d86946410
Author: Julien Danjou <julien@danjou.info>
Date:   Thu Jul 24 10:05:18 2008 +0200

    icccm: add urgency hint functions
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit 076285dc3111db3e7a778528f872272d4b743373
Author: Julien Danjou <julien@danjou.info>
Date:   Sun Jun 22 00:24:55 2008 +0200

    icccm: add xcb_get_wm_transient_for()
    
    Signed-off-by: Julien Danjou <julien@danjou.info>

commit c7d2e8e624a64e5d9d406ca78abcc52892595746
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Sun Apr 27 11:51:14 2008 +0100

    [icccm]: Remove useless function for accessing 'flags' which were also
    buggy because they were returning a 'uint8_t' whereas 'flags' is a
    'uint32_t'.

commit 278430d3b9fb9729a98eddaa89baa755b3cb895f
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Thu Apr 10 15:43:25 2008 +0100

    [icccm]: correctly copy the reply value according to its format

commit cfc562ca2b03f686d374872d1c399cf44962eaee
Author: Arnaud Fontaine <arnau@debian.org>
Date:   Wed Apr 9 14:24:54 2008 +0100

    [icccm]: fix incorrect pointer usage

commit 30a41054d0e0e1caf0e4a5a8fc9209be68ec726a
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Fri Dec 7 00:48:25 2007 -0800

    used doxygen -u to create a much more elaborate doxyfile

commit 4409c068bbc3829aaf3798c99c28c235adf55fb2
Author: Jamey Sharp <jamey@minilop.net>
Date:   Tue Nov 6 17:37:07 2007 -0800

    All util libraries require the XCB 1.0 API; check for it in configure.

commit 262008ec6020016b4d61228b3c1804dbac6c471d
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Mon Apr 9 08:23:15 2007 +0200

    add _checked version of the _set_ functions

commit 888dec53b54cca1ad4ca292b8d49c0b29fced045
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Sat Apr 7 13:22:57 2007 +0200

    missing namespace for alloc_wm_hints in xcb_icccm.h

commit c44c633a40f2881c543bedc2aec8976b4584dbcf
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Fri Apr 6 17:54:52 2007 +0200

     event/events.c
     event/xcb_event.h
     icccm/icccm.c
     icccm/xcb_icccm.h
     property/prop.c
     property/xcb_property.h
     wm/manage.c
     wm/xcb_wm.h
     wm/xcbwm-test.c
    
    xcb namespace added, _t sufix added for some types, formatting

commit 439dfbe5f45820163862b6697b0028f20961b1a9
Author: Jamey Sharp <jamey@minilop.net>
Date:   Fri Mar 2 17:36:29 2007 -0800

    Release xcb-util 0.2

commit 614414566e00e9be045d0564c024b4712ad87a00
Author: TORRI Vincent <torri@alf94-3-82-66-248-160.fbx.proxad.net>
Date:   Wed Feb 21 20:27:07 2007 +0100

    rename the libraries from libXCBFoo.* to libxcb-foo.*. Use foo_CPPFLAGS instead of foo_CFLAGS (*_CFLAGS variables store preprocessor options)

commit 54a13c55e555d24eb7c45af7cb0b18daac59fdb3
Author: Thomas Hunger <hto@arcor.de>
Date:   Wed Feb 7 19:11:08 2007 -0800

    icccm: new naming convention

commit ae9cc72f6ff73137ae061196054193da0f919b88
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 7 12:06:00 2006 -0700

    Bug #7150: Check for gcc & Sun cc in configure.ac and use correct flags to turn on more warnings for each
    
    This is the first of two fixes needed to get xcb-util building on
    Solaris.
    
    Signed-off-by: Jamey Sharp <jamey@minilop.net>

commit e5cb54733ae36acd35cde29124dda6e299c6a30a
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sun Nov 12 17:30:00 2006 -0800

    Bug #6781: make util compile with srcdir != builddir.

commit c2f727f696a86e7009a14b4c740f8a506045c963
Author: Ian Osgood <iano@quirkster.com>
Date:   Sat Oct 7 11:45:07 2006 -0700

    Adapt xcb/util libraries for removal of XID structures.

commit 9fa4dd05a83eab1603387fbac718a6bd13aa5b86
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Sep 26 08:36:01 2006 -0700

    Install headers to "xcb", not "X11/XCB".

commit d883cf07f9b184c4fb49a0e4d60059e3054a5969
Author: Jamey Sharp <jamey@minilop.net>
Date:   Mon Sep 25 04:13:01 2006 -0700

    libxcb now installs header files in <xcb>, not <X11/XCB>.

commit 66dc42fcbdd1679b8b36c66255a55e73fdf42b21
Author: Ian Osgood <iano@quirkster.com>
Date:   Sun Sep 24 13:34:03 2006 -0700

    All xcb-util libraries compile after the Great Renaming.
    
    Many of the exported library functions still need to follow the new convention.

commit 5291179b2fddf3d594ebd273930cf45bc9600240
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sun Sep 24 03:15:39 2006 -0700

    Integrate top-level .gitignore into .gitignore for each subdirectory
    
    In preparation for the repository split, move the relevant contents of the
    top-level .gitignore into the .gitignore for each immediate subdirectory.

commit 5e01c6c27e33163f6b84549b60448bf09b0421dc
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Jul 28 17:48:59 2006 +0200

    it's also probably a good idea to update the header file...

commit d670e3be0482d6e35b11dafe33224662b1c1b9e4
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Jul 28 17:31:05 2006 +0200

    typo

commit 9aeb76cf4cce69ef51160c96ff7cd4b4484fb900
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Jul 28 17:28:26 2006 +0200

    add GetWMIconName and WM_CLIENT_MACHINE functions

commit 4a886db014e195b5c42e59a801f720e8fe611527
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Fri Jul 28 08:34:28 2006 +0200

    add AllocWMHints and SetWMHints functions. Remove trailing spaces. Fix an indentation

commit c34ebefe63ac914ada11bbec312353e5d67f30a4
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Thu Jun 8 07:02:15 2006 +0200

    fix compilation with c++ compilers. Remove some trailing spaces

commit bce4541a711a427978a9316137346d29ab9ff3b0
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Sun May 7 20:32:32 2006 -0700

    Add correct dependencies in xcb-util.

commit ea476269360c796debc83c25308c01a1818c2130
Author: Josh Triplett <josh@freedesktop.org>
Date:   Fri Apr 28 11:30:11 2006 -0700

    xcb-icccm doesn't use xcb-event; it just needs the headers due to xcb-property, and can't use the xcb-property pkg-config file from within the same source tree to pull it in.

commit 5660253bc75bca9aba92816e7eb2c7d9ae6a7b76
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 11:25:28 2006 -0700

    Set all package bugreporting addresses to xcb@lists.freedesktop.org

commit 58f87b6dbcdbc8ed57b15a7a12b6609a02147679
Author: Josh Triplett <josh@freedesktop.org>
Date:   Thu Apr 27 01:06:46 2006 -0700

    Fix xcb-util library dependencies, including both the new dependency libXCBImage needs on libXCBShm, as well as many other issues discovered in the process.  These include using automake variables appropriately in order to actually link shared libraries against each other and ensure libraries have NEEDED entries for the libraries they depend on, consequently needing to reorder the top-level SUBDIRS to build property before icccm, adding dependencies to .pc.in files, fixing .pc.in files to not all use the name and description for XCBImage, and adding appropriate library dependencies to test programs.

commit 6d3307dfe20f9ae74fc807f9a0dfff502bb802cf
Author: TORRI Vincent <torri@doursse.(none)>
Date:   Thu Apr 20 09:59:43 2006 +0200

    fix some warnings

commit 9a4fa388a0bef73b1a549e02ce4dd4e160052476
Author: Ian Osgood <iano@quirkster.com>
Date:   Tue Mar 14 18:23:37 2006 -0800

    Remove xcb-util dependency on proto/X11
    by moving many defs from X.h to <enum>s in xproto.xml

commit ffee46735bab5ad43b7217cd360af1eb34f619e6
Author: Jamey Sharp <jamey@minilop.net>
Date:   Wed Mar 8 22:49:59 2006 -0800

    Unify autofoo .gitignore bits into one top-level file, and remove resulting redundancies.

commit 5a5e388e2fabc0c2db2764b8ff5f07c6f0254ac0
Author: Jamey Sharp <jamey@minilop.net>
Date:   Sat Feb 18 23:57:14 2006 -0800

    Update .gitignores for .o files and autofoo stuff.

commit 6cb30799d789a40718906de10e7fe6ef5117675d
Author: Eric Anholt <anholt@FreeBSD.org>
Date:   Sat Feb 18 22:56:03 2006 -0800

    Move .cvsignore to .gitignore.

commit 85e1c50e9a2661945503e3362eaa481450a6fbd3
Author: Josh Triplett <josh@freedesktop.org>
Date:   Sat Feb 18 16:49:41 2006 -0800

    Remove xcl and CVSROOT.
